<div class="card-header py-3">
  <h6 class="m-0 font-weight-bold text-primary">
    Client Table
  </h6>
</div>
<div class="flex-container ">
  <div class="flex-item">
    <div class="table-responsive">
      <table class="table table-bordered">
        <thead>
          <tr>
            <th scope="col">Company Name</th>
            <th scope="col">Address</th>
            <th scope="col">Phone</th>
            <th scope="col">Email</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let client of clientList">
            <td
              class="col-client-name"
              (click)="navigateToClientDetail(client.id)"
            >
              {{ client.company_name }}
            </td>

            <td>{{ client.address1 }}</td>
            <td>{{ client.telephone }}</td>
            <td>{{ client.email }}</td>
          </tr>
        </tbody>
        <tfoot *ngIf="noResult || clientListLoading">
          <td colspan="5">
            <span *ngIf="noResult">No Result</span>
            <span *ngIf="clientListLoading">Loading....</span>
          </td>
        </tfoot>
      </table>
    </div>
  </div>
</div>
